package domain


type AlibabaRetailMarketingItempoolActivityQueryConditionDTO struct {
    /*
        是否满元门槛     */
    AmountAt  *bool `json:"amount_at,omitempty" `

    /*
        满元门槛值 -- 单位分     */
    Amount  *int64 `json:"amount,omitempty" `

    /*
        是否满件门槛     */
    CountAt  *bool `json:"count_at,omitempty" `

    /*
        件数     */
    Count  *int64 `json:"count,omitempty" `

}

func (s *AlibabaRetailMarketingItempoolActivityQueryConditionDTO) SetAmountAt(v bool) *AlibabaRetailMarketingItempoolActivityQueryConditionDTO {
    s.AmountAt = &v
    return s
}
func (s *AlibabaRetailMarketingItempoolActivityQueryConditionDTO) SetAmount(v int64) *AlibabaRetailMarketingItempoolActivityQueryConditionDTO {
    s.Amount = &v
    return s
}
func (s *AlibabaRetailMarketingItempoolActivityQueryConditionDTO) SetCountAt(v bool) *AlibabaRetailMarketingItempoolActivityQueryConditionDTO {
    s.CountAt = &v
    return s
}
func (s *AlibabaRetailMarketingItempoolActivityQueryConditionDTO) SetCount(v int64) *AlibabaRetailMarketingItempoolActivityQueryConditionDTO {
    s.Count = &v
    return s
}
